<?xml version="1.0" encoding="UTF-8"?>
<grammar ns="http://www.suse.com/1.0/yast2ns" xmlns="http://relaxng.org/ns/structure/1.0">
  <define name="general">
    <element name="general">
      <ref name="clock"/>
      <ref name="keyboard"/>
      <ref name="language"/>
      <optional>
        <ref name="mode"/>
      </optional>
      <ref name="mouse"/>
    </element>
  </define>
  <define name="clock">
    <element name="clock">
      <ref name="hwclock"/>
      <ref name="timezone"/>
    </element>
  </define>
  <define name="hwclock">
    <element name="hwclock">
      <text/>
    </element>
  </define>
  <define name="timezone">
    <element name="timezone">
      <text/>
    </element>
  </define>
  <define name="keyboard">
    <element name="keyboard">
      <ref name="keymap"/>
    </element>
  </define>
  <define name="keymap">
    <element name="keymap">
      <text/>
    </element>
  </define>
  <define name="language">
    <element name="language">
      <text/>
    </element>
  </define>
  <define name="mode">
    <element name="mode">
      <ref name="confirm"/>
      <optional>
        <ref name="disable_abort"/>
      </optional>
      <optional>
        <ref name="disable_buttons"/>
      </optional>
      <optional>
        <ref name="forceboot"/>
      </optional>
      <optional>
        <ref name="reboot"/>
      </optional>
    </element>
  </define>
  <define name="confirm">
    <element name="confirm">
      <ref name="BOOLEAN"/>
    </element>
  </define>
  <define name="disable_abort">
    <element name="disable_abort">
      <ref name="BOOLEAN"/>
    </element>
  </define>
  <define name="disable_buttons">
    <element name="disable_buttons">
      <ref name="BOOLEAN"/>
    </element>
  </define>
  <!-- <!ELEMENT default (#PCDATA)> -->
  <define name="forceboot">
    <element name="forceboot">
      <ref name="BOOLEAN"/>
    </element>
  </define>
  <define name="reboot">
    <element name="reboot">
      <ref name="BOOLEAN"/>
    </element>
  </define>
  <define name="mouse">
    <element name="mouse">
      <element name="id">
        <text/>
      </element>
    </element>
  </define>
</grammar>
